Bug 11246 - Followup for Bug 10465 fields 780 and 785 in UNIMARC XSLT should be removed in bootstrap theme
Summary: Followup for Bug 10465 fields 780 and 785 in UNIMARC XSLT should be removed i...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: mathieu saby
QA Contact: Testopia
URL:
Keywords:
Depends on: 10465
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 18:59 UTC by mathieu saby
Modified: 2014-12-07 20:05 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 11246 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files for Bootstrap opac (4.96 KB, patch)
2013-11-13 19:02 UTC, mathieu saby
Details | Diff | Splinter Review
[SIGNED OFF] Bug 11246 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files for Bootstrap opac (4.99 KB, patch)
2014-02-03 05:47 UTC, Mark Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 11246 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files for Bootstrap opac (5.19 KB, patch)
2014-02-03 20:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-11-13 18:59:33 UTC

    
Comment 1 mathieu saby 2013-11-13 19:02:57 UTC Comment hidden (obsolete)
Comment 2 Mark Tompsett 2014-02-03 05:44:45 UTC
The comments on bug 10465 say these fields don't exist in unimarc. That likely explains why I couldn't find any marcxml with tag="780" in it in my sample UNIMARC data.

The patch eyeballs exactly like the OPAC portion of the bug 10465 patch for the prog.

The directions were followed. System preferences were checked: opactheme (bootstrap), OPACXSLTDetailsDisplay (default), and OPACXSLTResultsDisplay (default).

And master and patch applied versions both had identical "Normal View" and "MARC View" pages.

http://www.ifla.org/publications/unimarc-formats-and-related-documentation
Okay, no reference to 78X for biblio stuff.

http://www.ifla.org/files/assets/uca/unimarc-authorities-format.pdf
suggests they are used for authorities.
Comment 3 Mark Tompsett 2014-02-03 05:47:30 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-02-03 20:05:33 UTC
Created attachment 25015 [details] [review]
[PASSED QA] Bug 11246 : remove useless reference to fields 780 and 785 in UNIMARC XSLT files for Bootstrap opac

Another fix, 10465, removed fields 780 and 785 from a unimarc xslt file.
This cleanup is needed for bootstrap too

To test : in a UNIMARC Koha, with Bootstrap theme OPAC
1. be sure that OPACXSLTDetailsDisplay , OPACXSLTResultsDisplay sysprefs are set to "default"
2. apply the patch
3. search some records in OPAC : the list view and the detail view must be exacty the same as before you apply the patch.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Changes are consistent with changes done earlier on the prog theme.
Checked that the detail pages and results still display correctly
for UNIMARC.
Comment 5 Galen Charlton 2014-02-04 17:40:29 UTC
Pushed to master.  Thanks, Mathieu!
Comment 6 Fridolin Somers 2014-04-30 14:31:41 UTC
Patch pushed to 3.14.x, will be in 3.14.06